Page MenuHomePhabricator

whonix-setup-wizard usability feedback blog post
Closed, ResolvedPublic

Description

Write a blog post (+ automatic forum post) that explains our current usability approach with screenshots and so forth.

And keep that usability discussion clean of technical discussion. Talk there more about formulating things, the order of pages, if xinit looks sane and so forth.

Event Timeline

Patrick created this task.Feb 7 2015, 2:59 AM
Patrick updated the task description. (Show Details)
Patrick raised the priority of this task from to Normal.
Patrick added a subscriber: Patrick.
Patrick claimed this task.Feb 23 2015, 6:11 PM

Don't know why, the windows sizes are wrong in the post. The disclaimer pages should not have scroll bars, and the connection page should be resized to something nicer. Strange.

Two reasons I left that one aside, lack of time and I could find the way to login or create an account in the blog. Perhaps I could modify it.

Most likely my host system resolution and installed guest additions made the difference.

Yeah, I had in mind to ask if you can modify the disclaimer pages so they don't show scroll bars.

(Used a very recent git revision by the way: https://github.com/Whonix/whonix-setup-wizard/commit/157710e28de19a4410b44617a01a1dd644140376 - so it's not because of an old version.)

Blog login link:
https://www.whonix.org/blog/wp-login.php

Blog registration link:
https://www.whonix.org/blog/wp-login.php?action=register

After registration, I need to promote the account.

troubadour reopened this task as Open.Feb 23 2015, 9:04 PM

I was already registered (as troubadour). Did that some day around 4 AM, it's probably why I forgot.

Okay, promoted account.

Changed the disclaimer pages and the first connection page. I left the one with tooltip. How did you manage to get a snapshot of the tooltip?

A remark: had to do it from clearnet (HTTP error in WordPress wit Whonix).

Off-topic: also wrote you an e-mail.

Changed the disclaimer pages and the first connection page.

Did you make changes in git?

How did you manage to get a snapshot of the tooltip?

  1. hover over option to see tooltip in VM
  2. Virtual Box -> Machine -> Disable Mouse Integration
  3. Press Virtual Box host key to leave VM and be back on the host. Mouse in VM will stay where it was.
  4. Running "shutter" (from official Debian package) on the host. Made a shoot of a manual selection of the screen.

A remark: had to do it from clearnet (HTTP error in WordPress wit Whonix).

What kind of error?

What kind of error?

An ssl mixed content error? That one is fixed. It was because wordpress uses http rather than https links for images by default. Manually fixed for now. If it happens again, I'll look into some wordpress https enforce plugin or perhaps T70.

Still getting a plain HTTP error when trying to upload an image.

The connection page with tooltip is updated.

That's not one that I ever experienced. (Therefore not the one I talked about fixing.) Seems to be some wordpress bug.

You can also upload images to mediawiki and then link them from the blog. Perhaps it would have been better if I did that in the first place so we can later reuse those for documentation. [if documentation is required, seems pretty self explanatory]

Don't worry about that blog post too much. It served its purpose. The blog is more like a journal. If something is on your mind, if you want to write something, forget about editing old posts. Just make a new one "hi, I am troubadour, see this updated screenshot etc."

Patrick closed this task as Resolved.Mar 11 2015, 2:00 PM

I guess this is done. Feel free to reopen.